#ifdef __cplusplus
extern "C" {
#endif
//x
#ifndef _WINREG_HEADER
#define _WINREG_HEADER
#ifdef WIN32
#	include <windows.h>

	HKEY winreg_newkey(HKEY addto, char *key);
	int winreg_delkey(HKEY from, char *key);

	int winreg_addval(HKEY addto, char *name, char *data);
	void winreg_closekey(HKEY key);

	char *winreg_error(char *bf, int bfsz);
#endif //WIN32
#endif //_WINREG_HEADER

#ifdef __cplusplus
}
#endif
